summaryrefslogtreecommitdiffstats
path: root/source/a/file/file.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-04-24 18:55:05 +0000
committer Eric Hameleers <alien@slackware.com>2021-04-25 08:59:56 +0200
commit7b610e99b43e1de0f1614d113ada49ba2ff8f607 (patch)
tree2f204b4234fdecfbf31386baf0a4ec12ef1a7ad4 /source/a/file/file.SlackBuild
parent6e50489feda778db0ff21b6f06adb801e8a5d003 (diff)
downloadcurrent-7b610e99b43e1de0f1614d113ada49ba2ff8f607.tar.gz
current-7b610e99b43e1de0f1614d113ada49ba2ff8f607.tar.xz
Sat Apr 24 18:55:05 UTC 202120210424185505
a/file-5.40-x86_64-3.txz: Rebuilt. Fix detection of XZ compressed data. Thanks to TommyC7. a/kernel-firmware-20210423_1334578-noarch-1.txz: Upgraded. a/pkgtools-15.0-noarch-40.txz: Rebuilt. Change several script shebangs to #!/bin/bash. Thanks to mumahendras3. a/sysvinit-scripts-15.0-noarch-3.txz: Rebuilt. inittab: fix label for runlevel 4. Thanks to Fellype. rc.4: fix error message for no supported login manager found. l/libjpeg-turbo-2.1.0-x86_64-1.txz: Upgraded. n/fetchmail-6.4.19-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/file/file.SlackBuild')
-rwxr-xr-xsource/a/file/file.SlackBuild10
1 files changed, 7 insertions, 3 deletions
diff --git a/source/a/file/file.SlackBuild b/source/a/file/file.SlackBuild
index e70f55a1f..1a5e65011 100755
--- a/source/a/file/file.SlackBuild
+++ b/source/a/file/file.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=file
VERSION=${VERSION:-$(echo file-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -78,8 +78,6 @@ find . \
# Make the default data directory /etc/file like it has always been:
zcat $CWD/file.etc.file.diff.gz | patch -p1 --verbose || exit 1
-# This is needed after the patch above:
-autoreconf -vif || exit 1
# Since we're going to include the compiled magic database now (otherwise
# there seem to be libmagic related crashes), this patch probably doesn't
@@ -109,6 +107,12 @@ zcat $CWD/git-patches/6b34436ac766dae64749b8d14f18c6910be40131.patch.gz | patch
zcat $CWD/git-patches/9e2becec20d023409a1671bf10a682f699350e85.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/git-patches/f06015040e7ffb3be21bb7622f9f8291b749aaf9.patch.gz | patch -p1 --verbose || exit 1
+# Fix detection of XZ compressed data:
+zcat $CWD/0001-Fix-mime-type-XZ-after-Add-checksum-for-XZ.patch.gz | patch -p1 --verbose || exit 1
+
+# This is needed after the default data directory patch above:
+autoreconf -vif || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \